      subroutine su3_ran ! Bazavov / Berg Mar 5 2008.
C Randomized configuration for SU(3) (not Hurwitz measure).
      include '../../Libs/Fortran/implicit.sta'
      include '../../Libs/Fortran/constants.par'
      include '../../Libs/Fortran_par/mc.par'
      include '../../Libs/Fortran_par/lat.par'
      include '../../Libs/Fortran_par/common_lat.f'
      include '../../Libs/SU3_par/common_su3.f'
      do is=1,ms
        do id=1,nd
          do ir=1,18        ! Generate matrix randomly (-1,1).
            call ranmar(xr)
            alsu3(ir,id,is)=2*xr-1
          end do
          call su3reunit(alsu3(1,id,is)) ! Unitarize to SU(3).
        end do
      end do

      return
      end
